<?php

class FrmMolliePaymentsHelper{
    
    public static function get_default_options(){
        return array(
            'mollie' => 0, 'mollie_item_name' => '', 'mollie_amount_field' => '', 'mollie_betaalstatus_field' => '', 'mollie_betaalstatus' => '',
            'mollie_amount' => '', 'mollie_list' => array(), 'mollie_stop_email' => 1,
            'mollie_type' => ''
        );
    }

	public static function stop_email_set( $form_id, $settings = array() ) {
		if ( empty ( $settings ) ) {
			$form = FrmForm::getOne( $form_id );
			if ( empty( $form ) ) {
				return false;
			}
			$settings = self::get_form_settings( $form );
		}

        return ( isset( $settings['mollie_stop_email'] ) && ! empty( $settings['mollie_stop_email'] ) );
	}
        
        /*
        * Check global $frm_settings as a 2.0 fallback
        */
        public static function get_settings() {
            global $frm_settings;
            if ( ! empty($frm_settings) ) {
                return $frm_settings;
            } else if ( is_callable('FrmAppHelper::get_settings') ) {
                return FrmAppHelper::get_settings();
            } else {
                return array();
            }
        }

	public static function get_form_settings( $form ) {
		$form_settings = $form->options;
		if ( ( isset( $form->options['mollie'] ) && ! empty( $form->options['mollie'] ) ) || ! class_exists( 'FrmFormActionsHelper' ) ) {
			return $form_settings;
		}

		// get the 2.0 form action settings
		$action_control = FrmFormActionsHelper::get_action_for_form( $form->id, 'mollie', 1 );
		if ( ! $action_control ) {
			return;
		}
		$form_settings = $action_control->post_content;
		$form_settings['mollie'] = 1;
		return $form_settings;
	}

    public static function get_currencies($mollie_currency=false){
        $currencies = array(
            'AUD' => array(
                'name' => __('Australian Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'BRL' => array(
                'name' => __('Brazilian Real', 'frmppTW'),
                'symbol_left' => 'R$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'CAD' => array(
                'name' => __('Canadian Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => 'CAD', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'CZK' => array(
                'name' => __('Czech Koruna', 'frmppTW'),
                'symbol_left' => '', 'symbol_right' => '&#75;&#269;', 'symbol_padding' => ' ',
                'thousand_separator' => ' ', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'DKK' => array(
                'name' => __('Danish Krone', 'frmppTW'),
                'symbol_left' => 'Kr', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'EUR' => array(
                'name' => __('Euro', 'frmppTW'),
                'symbol_left' => '&#8364;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'HKD' => array(
                'name' => __('Hong Kong Dollar', 'frmppTW'),
                'symbol_left' => 'HK$', 'symbol_right' => '', 'symbol_padding' => '',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'HUF' => array(
                'name' => __('Hungarian Forint', 'frmppTW'),
                'symbol_left' => '', 'symbol_right' => 'Ft', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'ILS' => array(
                'name' => __('Israeli New Sheqel', 'frmppTW'),
                'symbol_left' => '&#8362;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'JPY' => array(
                'name' => __('Japanese Yen', 'frmppTW'),
                'symbol_left' => '&#165;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '', 'decimals' => 0,
            ),
            'MYR' => array(
                'name' => __('Malaysian Ringgit', 'frmppTW'),
                'symbol_left' => '&#82;&#77;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'MXN' => array(
                'name' => __('Mexican Peso', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'NOK' => array(
                'name' => __('Norwegian Krone', 'frmppTW'),
                'symbol_left' => 'Kr', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'NZD' => array(
                'name' => __('New Zealand Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'PHP' => array(
                'name' => __('Philippine Peso', 'frmppTW'),
                'symbol_left' => 'Php', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'PLN' => array(
                'name' => __('Polish Zloty', 'frmppTW'),
                'symbol_left' => '&#122;&#322;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'GBP' => array(
                'name' => __('Pound Sterling', 'frmppTW'),
                'symbol_left' => '&#163;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'SGD' => array(
                'name' => __('Singapore Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'SEK' => array(
                'name' => __('Swedish Krona', 'frmppTW'),
                'symbol_left' => '', 'symbol_right' => 'Kr', 'symbol_padding' => ' ',
                'thousand_separator' => ' ', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'CHF' => array(
                'name' => __('Swiss Franc', 'frmppTW'),
                'symbol_left' => 'Fr.', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => "'", 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'TWD' => array(
                'name' => __('Taiwan New Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'THB' => array(
                'name' => __('Thai Baht', 'frmppTW'),
                'symbol_left' => '&#3647;', 'symbol_right' => '', 'symbol_padding' => ' ',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
            'TRY' => array(
                'name' => __('Turkish Liras', 'frmppTW'),
                'symbol_left' => '', 'symbol_right' => '&#8364;', 'symbol_padding' => ' ',
                'thousand_separator' => '.', 'decimal_separator' => ',', 'decimals' => 2,
            ),
            'USD' => array(
                'name' => __('U.S. Dollar', 'frmppTW'),
                'symbol_left' => '$', 'symbol_right' => '', 'symbol_padding' =>  '',
                'thousand_separator' => ',', 'decimal_separator' => '.', 'decimals' => 2,
            ),
        );

        $currencies = apply_filters('frm_currencies', $currencies);
        if ( $mollie_currency && isset($currencies[$mollie_currency]) ) {
            return $currencies[$mollie_currency];
        }
            
        return $currencies;
    }
    
    public static function format_for_url($value){
        if ( seems_utf8($value) ) {
            $value = utf8_uri_encode($value, 200);
        } else {
            $value = strip_tags($value);
        }
        $value = urlencode($value);
        return $value;
    }
    
    public static function formatted_amount($amount){
        $frm_mollie_settings = new FrmMolliePaymentSettings();
        
        $mollie_currency = self::get_currencies($frm_mollie_settings->settings->mollie_currency);
        
        return $mollie_currency['symbol_left'] .
         $mollie_currency['symbol_padding'] . 
        number_format($amount, $mollie_currency['decimals'], $mollie_currency['decimal_separator'], $mollie_currency['thousand_separator']) . 
        $mollie_currency['symbol_padding'] . $mollie_currency['symbol_right'];
    }
    
    public static function get_rand($length){
        $all_g = 'ABCDEFGHIJKLMNOPQRSTWXZ';
        $all_len = strlen($all_g) - 1;
        $pass = '';
        for ( $i=0; $i < $length; $i++ ) {
            $pass .= $all_g[ rand(0, $all_len) ];
        }
        return $pass;
    }


    public static function log_ipn_results($success, $log_data) {
        extract($log_data); //$last_error, $ipn_response, $ipn_data
        
        // Timestamp
        $text = '['.date('m/d/Y g:i A').'] - '; 

        // Success or failure being logged?
        $text .= $success ? "SUCCESS!\n" : 'FAIL: '. $log_data['last_error'] ."\n";

        // Log the POST variables
        $text .= "IPN POST Vars from mollie:\n";
        foreach ($ipn_data as $key => $value)
           $text .= "$key=$value, ";

        // Log the response from the mollie server
        $text .= "\nIPN Response from mollie Server:\n ". $log_data['ipn_response'];

        // Write to log
        self::log_message($text);
    }
    
    public static function log_message($text){
        $frm_mollie_settings = new FrmMolliePaymentSettings();
        if (!$frm_mollie_settings->settings->mollie_log) {
            return;  // is logging turned off?
        }
        $root =  dirname(__DIR__) . '/wp-content/plugins/formidable-mollie/log/';
     //   $root .= '../log/';
        // Write to log
      try { 
        $dateTime = date_create('now')->format('Y-m-d H:i:s');
       
file_put_contents( dirname(__DIR__) . $frm_mollie_settings->settings->mollie_log_file, $dateTime . ' ' .  $text . PHP_EOL , FILE_APPEND); 
     //   $fp = fopen( '../log/' . $frm_mollie_settings->settings->mollie_log_file, 'a');
     //   fwrite($fp, $dateTime . ' ' .  $text . PHP_EOL); 

     //   fclose($fp);  // close file
     //   chmod($frm_mollie_settings->settings->mollie_log_file, 0600);
      }
     catch (Exception $e){
        print $root . $frm_mollie_settings->settings->mollie_log_file; 
     }
    }

    public static function dump_fields($fields) {
        // Used for debugging, this function will output all the field/value pairs
        // that are currently defined in the instance of the class using the
        // add_field() function.
        ksort($fields);
?>
<h3>FrmPaymentsHelper::dump_fields() Output:</h3>
<table width="95%" border="1" cellpadding="2" cellspacing="0">
    <tr>
        <td bgcolor="black"><b><font color="white">Field Name</font></b></td>
        <td bgcolor="black"><b><font color="white">Value</font></b></td>
    </tr> 

<?php foreach ($fields as $key => $value) { ?>
    <tr><td><?php echo $key ?></td>
        <td><?php echo urldecode($value) ?>&nbsp;</td>
    </tr>
<?php } ?>
</table>
<br/>
<?php
    }

}
