<H3>Licentie instellingen</H3>
<table class="form-table">
    <tr class="form-field" valign="top">
        <td width="200px"><label><?php _e('Licentie sleutel', 'frmmollie') ?></label></td>
        <td>
            <input type="text" name="frm_pay_teowin_license" id="frm_pay_teowin_license" value="<?php echo esc_attr($options['key']) ?>" class="frm_long_input"  />
            <div class="howto"><?php _e('De licentiesleutel voor de Mollie voor Formidable Pro plugin.') ?></div>
        </td>
    </tr>
    <tr class="form-field" valign="top">
        <td> <label><?php _e('Licentie email', 'frmmollie') ?></label></td>
        <td>
            <input type="text" name="frm_pay_teowin_email" id="frm_pay_teowin_email" value="<?php echo esc_attr($options['email']) ?>" class="frm_long_input"  />
            <div class="howto"><?php _e('Email adres voor de Mollie voor Formidable Pro plugin.') ?></div>
        </td>
    </tr>
</table>
<div class="clear">
    <H3>Mollie instellingen</H3>
    <table class="form-table">
        <tr class="form-field" valign="top">
            <td width="200px"><label><?php _e('mollie Email', 'frmmollie') ?></label></td>
            <td>
                <input type="text" name="frm_pay_mollie_email" id="frm_pay_mollie_email" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_email) ?>" class="frm_long_input" />
                <div class="howto"><?php _e('Email adres waar Mollie de betaal notificatie naartoe stuurt.', 'frmmollie') ?></div>
            </td>
        </tr>

        <tr class="form-field" valign="top">
            <td><label><?php _e('Mollie omgeving', 'frmmollie') ?></label></td>
            <td>
                <select name="frm_pay_mollie_environment" id="frm_pay_mollie_environment">
                    <option value="live" <?php selected($frm_mollie_settings->settings->mollie_environment, 'live') ?>><?php _e('Live', 'frmmollie') ?></option>
                    <option value="sandbox" <?php selected($frm_mollie_settings->settings->mollie_environment, 'sandbox') ?>><?php _e('Test', 'frmmollie') ?></option>

            </td>
        </tr>
        <tr class="form-field" valign="top">
            <td><label><?php _e('Mollie Test sleutel', 'frmmollie') ?></label></td>
            <td>
                <input type="text" name="frm_pay_mollie_test_key" id="frm_pay_mollie_test_key" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_test_key) ?>" class="frm_long_input"  />
                <div class="howto"><?php _e('De test sleutel, te verkrijgen door instellen van een test omgeving bij Mollie', 'frmmollie') ?></div>
            </td>
        </tr>
        <tr class="form-field" valign="top">
            <td><label><?php _e('Mollie Live sleutel', 'frmmollie') ?></label></td>
            <td>
                <input type="text" name="frm_pay_mollie_live_key" id="frm_pay_mollie_live_key" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_live_key) ?>" class="frm_long_input"  />
                <div class="howto"><?php _e('De live sleutel, te verkrijgen door instellen van een live omgeving bij Mollie', 'frmmollie') ?></div>
            </td>
        </tr>

        <tr class="form-field" valign="top">
            <td><label><?php _e('Valuta', 'frmmollie') ?></label></td>
            <td>
                <select name="frm_pay_mollie_currency" id="frm_pay_mollie_currency">
                    <?php foreach (FrmMolliePaymentsHelper::get_currencies() as $code => $mollie_currency){ ?>
                        <option value="<?php echo $code ?>" <?php selected($frm_mollie_settings->settings->mollie_currency, $code) ?>><?php echo $mollie_currency['name'] .' ('. $code .')'; ?></option>
                        <?php
                        unset($mollie_currency);
                        unset($code);
                    }
                    ?>
            </td>
        </tr>

        <tr class="form-field" valign="top">
            <td><label><?php _e('Bevestigings-pagina', 'frmmollie') ?></label></td>
            <td>
                <input type="text" name="frm_pay_mollie_return_page" id="frm_pay_mollie_return_page" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_return_page) ?>" class="frm_long_input"  />
                <div class="howto"><?php _e('De paginanaam op deze website waar klanten terugkomen na betaling.' . PHP_EOL . 'Protocol en hostname worden automatisch toegevoeg.', 'frmmollie') ?></div>
            </td>
        </tr>
        <?php /*
        <tr class="form-field" valign="top">
            <td><label><?php _e('Cancel URL', 'frmmollie') ?></label></td>
        	<td>
                <input type="text" name="frm_pay_mollie_cancel_page" id="frm_pay_mollie_cancel_page" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_cancel_page) ?>" class="frm_long_input"  />
    			<div class="howto"><?php _e('The URL for mollie to send users if they cancel the transaction', 'frmmollie') ?></div>
        	</td>
        </tr> */
        ?>


        <tr class="form-field" valign="top">
            <td><label><?php _e('Logging', 'frmmollie') ?></label></td>
            <td>
                <p><label for="frm_pay_mollie_log"><input type="checkbox" name="frm_pay_mollie_log" id="frm_pay_mollie_log" value="1" <?php checked($frm_mollie_settings->settings->mollie_log, 1) ?> /> <?php _e('Log betaalstappen (alleen voor debuggen)', 'frmmollie') ?></label></p>
                <p><input type="text" name="frm_pay_mollie_log_file" value="<?php echo esc_attr($frm_mollie_settings->settings->mollie_log_file) ?>" class="frm_long_input" /><br/>
                    <span class="howto"><?php _e('De locatie van het logbestand (subdirectory van de plugin map). (standaard "/log/logname.log")', 'frmmollie') ?></span>
                </p>
            </td>
        </tr>
    </table>
</div>
